{
  open Token
  exception Lexing_error of string
}
let space=[' ''\n''\t']
let digit=['0'-'9']

rule next_token = parse
    | digit+ { INT(int_of_string(Lexing.lexeme lexbuf)) }
    | space* { next_token lexbuf }
    | "(*" _* "*)" { next_token lexbuf }
    | eof  { EOF }
    | _    { raise (Lexing_error (Lexing.lexeme lexbuf)) }
